Subject: Re: [PATCH] Revert [NET_SCHED]: HTB: fix incorrect use of RB_EMPTY_NODE

From: Jens Axboe <[email-masked]>
Date: Tue, 3 Oct 2006 12:30:30 +0200

On Mon, Oct 02 2006, Ismail Donmez wrote:
> 02 Eki 2006 Pts 13:24 tarihinde, Jarek Poplawski ??unlar?? yazm????t??: 
> > On 30-09-2006 21:23, Ismail Donmez wrote:
> > > Hi,
> > >
> > > With commit 10fd48f2376db52f08bf0420d2c4f580e39269e1 [1] ,  RB_EMPTY_NODE
> > > changed behaviour so it returns false when the node is empty as expected.
> >
> > ...
> >
> > > -	if (!RB_EMPTY_NODE(rb)) {
> > > +	if (RB_EMPTY_NODE(rb)) {
> >
> > Maybe you have some kind of agreement with Jens Axboe but I
> > can't understand current way of kernel cooperation:
> > he changes some global behavior to the opposite and fixes
> > his code in three places but can't fix it in the fourth place
> > where it's used? Isn't it both trivial and automatic kind
> > of patch?
> 
> I don't know if Jens will going to fix other occurrences but the
> sch_htb.c fix was recent and Jens'  commit got my attention hence the
> patch.

Send me a patch and I'll review / integrate it. Most of the rbtree
mixups stem from the fact that the first color change was incomplete.

-- 
Jens Axboe